<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <title>All contests</title>
</head>
<body>

<div layout:fragment="content">
    <div th:if="${message != null}">
        <div class="alert alert-info">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <i class="material-icons">close</i>
            </button>
            <span th:text="${message}">This is a notification with close button.</span>
            <!--                <span>This is a notification with close button.</span>-->
        </div>
    </div>
    <div class="card-body">
    <p>
        <button class="btn btn-info" type="button" data-toggle="collapse" data-target="#collapseFilter" aria-expanded="false" aria-controls="collapseFilter">
            Click to Open Filter
        </button>
    </p>
    <div class="collapse" id="collapseFilter">
        <div class="row">
            <div class="card">
                <div class="card-body">
                    <h3>Filter Contests</h3>
                    <form th:action="@{/filter_all_contests}" method="post" th:if="${hide_filter==0}">
                        <div class="row">
                            <div class="card-body col-md-12">
                                <div class="form-group">
                                    <label>Title</label>
                                    <input class="form-control" type="text" name="filter_title">
                                </div>
                            </div>
                        </div>
                        <div class ="row">
                            <div class="card-body col-md-3">
                                <div class="form-group">
                                    <label>Filter by User</label>
                                    <select class="form-control selectpicker"
                                            data-style="btn btn-link" name="filter_user">
                                        <option value=""></option>
                                        <option th:each="author : ${all_authors}"
                                                th:value="${author.getUser_id()}"
                                                th:text="${author.getUsername()}">
                                            Contest Organizers
                                        </option>
                                    </select>
                                </div>
                            </div>
                            <div class="card-body col-md-3">
                                <div class="form-group">
                                    <label>Filter By Phase</label>
                                    <select class="form-control selectpicker"
                                            data-style="btn btn-link" name="filter_phases">
                                        <option value=""></option>
                                                                                <option th:each="phase : ${all_phases}"
                                                                                        th:value="${phase.getPhase_type_id()}"
                                                                                        th:text="${phase.getPhase_type()}">
                                                                                    PhaseType
                                                                                </option>
                                    </select>
                                </div>
                            </div>
                            <div class="card-body col-md-3">
                                <div class="form-group">
                                    <label>Sort</label>
                                    <select class="form-control selectpicker"
                                            data-style="btn btn-link" name="filter_sort">
                                        <option value=""></option>
                                        <option value=" ORDER BY c.creation_time DESC">Newest to Oldest</option>
                                        <option value=" ORDER BY c.creation_time ASC">Oldest to Newest</option>
                                    </select>
                                </div>
                            </div>
                            <div class="card-body col-md-3">
                                <div class="form-group">
                                    <label>Jury</label>
                                    <select class="form-control selectpicker"
                                            data-style="btn btn-link" name="filter_contests_judge">
                                        <option value=""></option>
                                        <option value="Jury">Contests to judge</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <input type="submit" value="Filter" class="btn btn-info">
                    </form>
                    <div th:if="${hide_filter==1}">
                        <div>
                            <h4>Active Filters:</h4>
                            <ul>
                                    <li>Title: <span class="badge badge-default" th:text="${contest_title}"></span>
                                    </li>
                                    <li>User: <span class="badge badge-default" th:text="${user}"></span></li>
                                    <li>Phase: <span class="badge badge-default" th:text="${phase}"></span></li>
                                    <li>Sorting: <span class="badge badge-default" th:text="${sort_text}"></span>
                                    <li>Contests to judge: <span class="badge badge-default" th:text="${contests_judge}"></span>
                                    </li>
                            </ul>
                        </div>
                        <a th:href="@{/allcontests}" class="btn btn-info">Clear</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-4" th:each="contest: ${contests}">
            <div class="card card-product">
                <div class="card-header card-header-image" data-header-animation="true">
                    <a href="#pablo">
                        <img class="img" src="../assets/img/card-2.jpg" th:src="@{{id}(id=${contest[9]})}">
                    </a>
                </div>
                <div class="card-body">
                    <div class="card-actions text-center">
                        <button type="button" class="btn btn-danger btn-link fix-broken-card">
                            <i class="material-icons">build</i> Fix Header!
                        </button>
                        <a type="button" th:href="@{/contest(id=${contest[0]})}" class="btn btn-default btn-link" rel="tooltip" data-placement="bottom"
                                title="View">
                            <i class="material-icons">art_track</i>
                        </a>
                        <a type="button" th:if="${contest[8]=='Phase1'} and ${contest[12]!=session.get('user_id')} and ${contest[13]!=session.get('user_id')} and ${contest[7]!=session.get('user_id')}" th:href="@{/new_submission(id=${contest[0]})}"
                           class="btn btn-success btn-link" rel="tooltip" data-placement="bottom"
                                title="Join">
                            <i class="material-icons">login</i>
                        </a>
                        <a type="button" th:if="${session.get('admin')} or ${session.get('organizer')} and ${contest[8] != 'Finished'}"
                           th:href="@{/update(id=${contest[0]})}" class="btn btn-success btn-link" rel="tooltip" data-placement="bottom"
                                title="Edit">
                            <i class="material-icons">edit</i>
                        </a>
                        <a type="button" th:if="${session.get('admin')} or ${session.get('organizer')}"
                           th:href="@{/list_jurors(contest_id=${contest[0]})}" class="btn btn-success btn-link"
                           rel="tooltip" data-placement="bottom"
                           title="Manage jury">
                            <i class="material-icons">school</i>
                        </a>
                        <a th:if="${session.get('admin')} or ${session.get('organizer')}"
                                th:href="@{/delete_contest(id=${contest[0]})}"
                                type="button" class="btn btn-danger btn-link" rel="tooltip" data-placement="bottom"
                                title="Delete">
                            <i class="material-icons">close</i>
                        </a>
                    </div>
                    <h4 class="card-title">
                        <a href="#pablo" th:text="${contest[1]}">Title</a>
                    </h4>
                </div>
                <div class="row">
                    <div class="col-md-6">
                    <div class = "card-body">
                        <a type="button" th:if="${contest[8] == 'Finished'}" th:href="@{/winners(id=${contest[0]})}"
                           class="btn btn-default"
                           >
                            View Winners
                        </a>
                        <p th:if="${contest[8] == 'Phase1'} or ${contest[8] == 'Phase2'}" href="#pablo" th:text="${contest[8]} + ' ends: ' + ${#strings.substring(contest[5],0,16)}">Phase</p>
                    </div>
                    </div>
                </div>
                <div class="card-footer">
                    <div class="price">
                        <!--                        <div class="timeline-badge success-badge" th:if="${contest.getIs_finished()==false}">-->
                        <!--                            <i class="material-icons">toggle_on</i>-->
                        <!--                        </div>-->
                        <span class="badge badge-pill badge-success"
                              th:if="${contest[8]!='Finished'}">Active</span>
                        <span class="badge badge-pill badge-warning"
                              th:if="${contest[8]=='Finished'}">Finished</span>
                        <!--                        <div class="timeline-badge danger-badge" th:if="${contest.getIs_finished()==true}">-->
                        <!--                            <i class="material-icons">toggle_off</i>-->
                        <!--                        </div>-->
                    </div>
                    <div class="stats">
                        <p class="card-category" th:text="${contest[11]}"></p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</div>
</body>
</html>